#include<bits/stdc++.h>
using namespace std;

int main(){
    int t;
    cin >> t;
    while(t--){
        int n;
        cin >> n;
        int x,y;
        for(int i = 0; i < n; i++){
            int a;
            cin >> a;
            if(a != 0){
                x = a;
            }
        }
        for(int i = 0; i < n; i++){
            int b;
            cin >> b;
            if(b != 0){
                y = b;
            }
        }
        if(x == y){
            cout << "DA" << '\n';
        }
        else{
            cout << "NE" << '\n';
        }
    }
}